#pragma once
#include <sys/types.h>

enum KLIST_SQL {
    INIT,
    ADD_USER,
    GET_USER,
    GET_USER_BY_LOCAL,
    GET_USER_BY_DISCORD,
    GET_USER_BY_GOOGLE,
    GET_USERS,
    MOD_USER_NAME,
    MOD_USER_LOCAL,
    MOD_USER_DISCORD,
    MOD_USER_GOOGLE,
    DEL_USER,
    ADD_LIST,
    GET_LIST,
    GET_LISTS,
    GET_LISTS_BY_USER,
    MOD_LIST_NAME,
    DEL_LIST,
    ADD_STAGE,
    GET_STAGE,
    GET_STAGES_FOR_LIST,
    DEL_STAGE,
    ADD_TASK,
    GET_TASK,
    GET_TASKS,
    MOD_TASK_NAME,
    MOD_TASK_DESCRIPTION,
    DEL_TASK,
    _KLIST_SQL_COUNT
};

const char *klist_sql_get(const enum KLIST_SQL);